#if !defined(AFX_APLLISTVIEW_H__207915A6_DC9E_11D3_B870_D7173ABD554B__INCLUDED_)
#define AFX_APLLISTVIEW_H__207915A6_DC9E_11D3_B870_D7173ABD554B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// aplListView.h : header file
//
//#include "SORTLISTVIEW\\MultiColumnSortListView.h"
#define LIST (*((CListCtrl*)this))

/////////////////////////////////////////////////////////////////////////////
// CaplListView view
class CaplTreeItem;


class CaplListView : public CMultiColumnSortListView
{
protected:
	CaplListView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CaplListView)

// Attributes
protected:
	CaplTreeItem *m_cur_item;

// Operations
public:
virtual void UpdateTreeItem(CaplTreeItem *item);
	int GetItemByData(long data);

	// Если bTest==true, то возвращает доступность пункта свойства, иначе должна свойства отобразить
	virtual bool ShowProterties(bool bTest, int item);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CaplListView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CaplListView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CaplListView)
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_APLLISTVIEW_H__207915A6_DC9E_11D3_B870_D7173ABD554B__INCLUDED_)
